<?php
//TITLE=MXP converter for Telnet and BatMUD

$title = 'MXP converter for Telnet and BatMUD';
$progname = 'bat_mxp';

$text = array(
   '1. Purpose' => "

<img src=\"/src/mxpsnap.png\" alt=\"sample screenshot\" align=\"right\" />
Adds clientside <a href=\"http://www.zuggsoft.com/zmud/mxp.htm\">MXP</a>
(Mud eXtension protocol)
support for BatMUD, using the following software:
<ul>
 <li>telnet</li>
 <li>xterm with <a href=\"http://frexx.de/xterm-256-notes/\">256 colors support</a></li>
</ul>

Instructions:
<pre>\$ make bat_mxp.so
\$ LD_PRELOAD=\"`pwd`\"/bat_mxp.so telnet bat.org
> log in
> mxp on
> mxp map off
> look</pre>

", '1. Supported features' => "

Most of the MXP version 1.0 features, that can be implemented
in xterm, are supported. This includes all of the metacommands
(<code>!ENTITY</code>, <code>!ATTLIST</code>, <code>!ELEMENT</code>, <code>!TAG</code>),
entities and formatting commands excluding paragraph controls.
BatMUD unfortunately only supports a minimum set of them though.
 <p>
It also has a framework that makes it relatively easy to implement
MXP-supporting programs on one's own.

", '1. Copying' => "

bat_mxp has been written by Joel Yliluoma, a.k.a.
<a href=\"http://iki.fi/bisqwit/\">Bisqwit</a>,<br>
and is distributed under the terms of the
<a href=\"http://www.gnu.org/licenses/licenses.html#GPL\">General Public License</a> (GPL).

", '1. Requirements' => "

GNU make, telnet and xterm with 256-color support.

");
include '/WWW/progdesc.php';
